camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Derek Abdine (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CAMEL-8186) Upgrade camel-aws aws-java-sdk libraries
Date Fri, 26 Dec 2014 22:09:13 GMT

     [ https://issues.apache.org/jira/browse/CAMEL-8186?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Derek Abdine updated CAMEL-8186:
--------------------------------
    Description: 
As of 26/12/2014 Camel currently ships with 1.8.9_11 (defined in parent/pom.xml) for the aws-java-sdk
(and corresponding servicemix wrapped bundle). 

New features were added to the 1.9.x series of the aws-java-sdk, such as the ability to use
s3 create events that were recently added in November (http://aws.amazon.com/blogs/aws/s3-event-notification/).
The class is named S3EventNotification.

This upgrade requires referencing an OSGI-and non-OSGI jar per the current design (which relies
on Apache ServiceMix wrapped bundles for the OSGi case). As of the time of writing, servicemix
has a bundle version 1.9.8_1 that could be used. However, upgrading is not a drop-in task
as the AWS java sdk has renamed the com.amazonaws.dynamodb package to com.amazonaws.dynamodbv2,
so camel-aws dynamodb classes must be upgraded to support this change (to point to the right
class locations). It's unknown at the moment whether there are any code-level incompatibilities
introduced with the dynamodbv2 package rename.

  was:
As of 26/12/2014 Camel currently ships with 1.8.9_11 (defined in parent/pom.xml) for the aws-java-sdk
(and corresponding servicemix wrapped bundle). 

New features were added to the 1.9.x series of the aws-java-sdk, such as the ability to use
s3 create events that were recently added in November (http://aws.amazon.com/blogs/aws/s3-event-notification/).
The class is named S3EventNotification.

As of the time of writing, servicemix has a bundle version 1.9.8_1 that could be used. Upgrading
is not a drop-in task as the AWS java sdk has renamed the com.amazonaws.dynamodb package to
com.amazonaws.dynamodbv2, so camel-aws dynamodb classes must be upgraded to support this change
(to point to the right class locations).


> Upgrade camel-aws aws-java-sdk libraries
> ----------------------------------------
>
>                 Key: CAMEL-8186
>                 URL: https://issues.apache.org/jira/browse/CAMEL-8186
>             Project: Camel
>          Issue Type: Improvement
>          Components: camel-aws
>    Affects Versions: 2.15.0
>            Reporter: Derek Abdine
>            Priority: Minor
>
> As of 26/12/2014 Camel currently ships with 1.8.9_11 (defined in parent/pom.xml) for
the aws-java-sdk (and corresponding servicemix wrapped bundle). 
> New features were added to the 1.9.x series of the aws-java-sdk, such as the ability
to use s3 create events that were recently added in November (http://aws.amazon.com/blogs/aws/s3-event-notification/).
The class is named S3EventNotification.
> This upgrade requires referencing an OSGI-and non-OSGI jar per the current design (which
relies on Apache ServiceMix wrapped bundles for the OSGi case). As of the time of writing,
servicemix has a bundle version 1.9.8_1 that could be used. However, upgrading is not a drop-in
task as the AWS java sdk has renamed the com.amazonaws.dynamodb package to com.amazonaws.dynamodbv2,
so camel-aws dynamodb classes must be upgraded to support this change (to point to the right
class locations). It's unknown at the moment whether there are any code-level incompatibilities
introduced with the dynamodbv2 package rename.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message